/* GPC (C) 2017-2018 Stephane Charette <stephanecharette@gmail.com>
 * $Id: SummaryWnd.hpp 2465 2018-03-07 16:20:04Z stephane $
 */

#pragma once

#include "GPC.hpp"


class SummaryWnd : public DocumentWindow
{
	public:

		SummaryWnd(void);

		virtual ~SummaryWnd(void);

		virtual void closeButtonPressed();

		virtual bool keyPressed(const KeyPress &key);

		SummaryComponent canvas;
};
